#include <bits/stdc++.h>

using namespace std;
int binsearch(int x, vector<int> a, int n)
{
    int levi=0;
    int desni=n-1;
    int srednji;
    while(levi<=desni){
    srednji=(levi+desni)/2;
    if(x<a[srednji]) {

        desni=srednji-1;
    }
    else if(x>a[srednji]) {
        levi=srednji+1;
    }
    else return srednji+1;
    }
    return -1;
}
int main()
{
    int n,q;
    cin>>n>>q;
    int b[q];
    vector<int> a(n);
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<q;i++)
        cin>>b[i];
    int m;
    m=n/2+1;
    for(int i=0;i<q;i++)
    {
        int rez=binsearch(b[i],a,n);
        if(rez>=0)
            {
                if(rez>m)
                    cout<<abs((rez-m)+rez-2)<<endl;
                if(rez<=m)
                    cout<<abs(rez-m)<<endl;
            }
        else
            cout<<n<<endl;
    }
    return 0;
}